#ifndef _INVENTORYWATERS_H
#define _INVENTORYWATERS_H

#include <QDialog>
#include <QtWidgets/QGridLayout>
#include <QtWidgets/QGroupBox>
#include <QtWidgets/QHBoxLayout>
#include <QtWidgets/QHeaderView>
#include <QtWidgets/QPushButton>
#include <QtWidgets/QTableWidget>

namespace Ui {
class InventoryWaters;
}

class InventoryWaters : public QDialog
{
    Q_OBJECT

public:
    explicit InventoryWaters(QWidget *parent = nullptr);
    ~InventoryWaters();

signals:
    void setStatus(QString);

private slots:
    void on_insertButton_clicked();
    void on_editButton_clicked();
    void on_exportButton_clicked();
    void refreshTable(void);

private:
    QGridLayout *gridLayout;
    QTableWidget *tableWaters;
    QGroupBox *groupBox;
    QHBoxLayout *horizontalLayout;
    QPushButton *quitButton;
    QPushButton *exportButton;
    QPushButton *importButton;
    QPushButton *insertButton;

    void edit(int recno);
};

#endif
